Bug 301591 - Review Request: php-pear-MDB2-Driver-mysqli - MySQL Improved MDB2 driver
Review Request: php-pear-MDB2-Driver-mysqli - MySQL Improved MDB2 driver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 06:26 EDT by Johan Cwiklinski
Modified: 2010-05-13 18:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 12:58:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Remi Collet 2007-09-22 10:54:11 EDT
REVIEW:
* rpmlint :
W: no-documentation
* The package is named according to the Package Naming Guidelines.
* The spec file name match the base package
* The package must the PHP Packaging Guidelines
* Fedora approved license (BSD)
* License field in the package spec file match the actual license
* The spec file is written in American English
* The spec file is legible
* The sources used to build the package must match the upstream source
eb93eb4687da1a1018c832622da42f6f  MDB2_Driver_mysqli-1.4.1.tgz
* build in mock (F-7, noarch)
* All build dependencies are listed in BuildRequires
* no locales
* no shared library files
* package own all directories that it creates
* Package don't own files or directories already owned by other packages
* no duplicate files
* Permissions on files are set properly
* %clean section
* package consistently use macros
* The package contain code
* no documentation
* no library
* no desktop file
* %install, start with rm -rf %{buildroot}
* All filenames are valid UTF-8
* scriptlets are sane*
* Final Provides ok
php-pear(MDB2_Driver_mysqli) = 1.4.1
php-pear-MDB2-Driver-mysqli = 1.4.1-1.fc8
* Final Requires see below
/usr/bin/pear  
php-pear(MDB2) >= 2.3.0
php-pear(PEAR)

Tests run (after installation/configuration as usually) but with some errors
that should probably be reported upstream (case problem in table name (win32) p.e.)

MUST  :
Requires php-pear(MDB2) >= 2.4.1 according to upstream
Comment 2 Johan Cwiklinski 2007-09-22 12:02:12 EDT
Thanks for your review :-)

* rpmlint :
W: no-documentation

Upstream does not provide any documentation for this package

Pear::MDB2 required version is fixed, news URLs are :
Spec URL:
http://odysseus.x-tnd.be/fedora/php-pear-MDB2-Driver-mysqli/php-pear-MDB2-Driver-mysqli.spec
SRPM URL:
http://odysseus.x-tnd.be/fedora/php-pear-MDB2-Driver-mysqli/php-pear-MDB2-Driver-mysqli-1.4.1-2.fc7.src.rpm
Comment 3 Remi Collet 2007-09-22 12:13:42 EDT
* Final Requires OK
/usr/bin/pear  
php-pear(MDB2) >= 2.4.1
php-pear(PEAR)

APPROVED.
Comment 4 Kevin Fenzi 2007-09-24 12:46:14 EDT
Please add a CVS template here so we know what branches you want, etc. 
See: 

http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Reset the fedora-cvs flag to ? when you are ready. 
Comment 5 Johan Cwiklinski 2007-09-24 12:59:08 EDT
Ooops, sorry, here it is.

New Package CVS Request
=======================
Package Name: php-pear-MDB2-Driver-mysqli
Short Description: This is the MySQL Improved MDB2 driver
Owners: trasher
Branches: F-7
InitialCC: trasher
Cvsextras Commits: yes
Comment 6 Jason Tibbitts 2007-09-24 21:14:59 EDT
CVS done.
Comment 7 Johan Cwiklinski 2010-05-13 14:50:46 EDT
Package Change Request
======================
Package Name: php-pear-MDB2-Driver-mysqli
New Branches: EL-6
Owners: trasher
Comment 8 Dennis Gilmore 2010-05-13 18:42:20 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.